﻿using UnityEngine;
using UnityEngine.UI;

public class ScoreDisplayManager : MonoBehaviour
{
    public Text Score;
    public Text Perfect;
    public Text Good;
    public Text Bad;
    public Text Miss;
    public Text Combo;

    // Use this for initialization
    void Start ()
    {
        Score.text   = GameManager.Instance.Score.ToString();
        Perfect.text = GameManager.Instance.JudgeCount[Judge.JudgeList[0]].ToString();
        Good.text    = GameManager.Instance.JudgeCount[Judge.JudgeList[1]].ToString();
        Bad.text     = GameManager.Instance.JudgeCount[Judge.JudgeList[2]].ToString();
        Miss.text    = GameManager.Instance.JudgeCount[Judge.JudgeList[3]].ToString();
        Combo.text   = GameManager.Instance.LongestCombo.ToString();
    }

    // Update is called once per frame
    void Update ()
    {
        if (Input.anyKey)
        {
            GameManager.Instance.Score = 0;
            Judge.JudgeList.ForEach(x => GameManager.Instance.JudgeCount[x] = 0);
            GameManager.Instance.LongestCombo = 0;
            Destroy(this);

            GameManager.Instance.SceneTransition("SetSelect");

            return;
        }
    }
}
